Bug 653811 - ata4.01: failed to resume link (SControl 0) appears during boot
Summary: ata4.01: failed to resume link (SControl 0) appears during boot
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 14
Hardware: i686
OS: Linux
low
medium
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 653810 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-11-16 08:44 UTC by Mike C
Modified: 2012-08-16 18:44 UTC (History)
14 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 711576 (view as bug list)
Environment:
Last Closed: 2012-08-16 18:43:54 UTC
Type: ---


Attachments (Terms of Use)
dmesg file showing same line as on screen during boot (62.47 KB, text/plain)
2010-11-16 08:45 UTC, Mike C
no flags Details

Description Mike C 2010-11-16 08:44:36 UTC
Description of problem:
Boot machine - message appears briefly during boot and normal boot continues

Version-Release number of selected component (if applicable):
2.6.35.6-48.fc14.i686.PAE

How reproducible:
Every time

Steps to Reproduce:
1. Boot machine
2. 
3.
  
Actual results:
Brief message on screen before graphical boot, but boot then continues normally with no further issues.

Expected results:
No unusual messages on screen

Additional info:
http://www.smolts.org/client/show/pub_90235bed-08f2-4a23-ad0a-49cfb124f8f7

Possibly same bug as reported for f12 at https://bugzilla.redhat.com/show_bug.cgi?id=578694

Comment 1 Mike C 2010-11-16 08:45:50 UTC
Created attachment 460775 [details]
dmesg file showing same line as on screen during boot

Comment 2 Mike C 2010-11-16 17:26:48 UTC
*** Bug 653810 has been marked as a duplicate of this bug. ***

Comment 3 John Ellson 2011-03-12 12:50:59 UTC
Me too, except that I didn't notice it amongst the noise of a successful boot, I noticed it during hibernate/resume where it is the only error message (but repeated twice during hibernate and a third time during resume).

It is quite disturbing to get error messages during hibernate.

This is on a Dell D630 laptop with Fedora-14.  kernel-2.6.35.11-83.fc14.x86_64

Comment 4 Old Uncle 2011-06-09 15:30:47 UTC
I confirm this BUG 

Upon booting appears this error message: "ata4.01: failed to resume link (SControl 0)"

Fedora 15 - kernel-2.6.38.7-30.fc15,i686.PAE here.

https://bugzilla.redhat.com/show_bug.cgi?id=578694

Comment 5 Sergio Basto 2011-07-01 02:15:16 UTC
seems to me. something happen after upgrade kernel from 2.6.38.6-2 to 2.6.38.7-30 or 2.6.38.8-32.fc15.x86_64

Linux version 2.6.38.6-27.fc15.x86_64 (gcc version 4.6.0 20110428 (Red Hat 4.6.0-6) (GCC) ) #1 SMP Sun May 15 17:23:28 UTC 2011

Lnux version 2.6.38.7-30.fc15.x86_64 (gcc version 4.6.0 20110509 (Red Hat 4.6.0-7) (GCC) )

Linux version 2.6.38.8-32.fc15.x86_64(gcc version 4.6.0 20110530 (Red Hat 4.6.0-9) 

this 2 bad kernels give me some ata1:00 message link and unlinked 
and hangs firefox for one minute, today with  2.6.38.7-30, resume from suspend , hang computer, thing that never happened since upgrade to Fedora 15 one month ago.
Back to kernel 2.6.38.6-27.fc15.x86_64 every thing fine , I suspend and wake many times I want and always perfect.

I follow this bug #714040 , #714023, #716623, #669892, to try understand, I could work with those bad kernel but after times , suspends and resumes dont' work soo weel, and Firefox have stops , especially when  have sshfs tunneling that was broken by a suspend.
Could be hardware failure of ata , but back on last good kernel things seems fine.

Comment 6 Sergio Basto 2011-07-14 16:17:23 UTC
My issue is fixed on kernel 2.6.38.8-35 , I think is was : 

* Wed Jul 06 2011 Chuck Ebbert <cebbert@redhat.com> 2.6.38.8-35 - Revert SCSI/block patches from 2.6.38.6 that caused more problems

Comment 7 JS 2011-07-24 19:08:04 UTC
Same Bug.

"ata4.01: failed to resume link (SControl 0)" - upon boot.

FC 15 - Kernal - 2.6.38.8-35.fc15.i686

Comment 8 David Shaw 2011-07-25 03:31:11 UTC
FWIW, I have also seen this on F14.  I reported it to the linux-ide list, and the reply may be relevant to this bug: http://permalink.gmane.org/gmane.linux.ide/49813

Comment 9 kubrick@fgv6.net 2011-08-10 08:16:40 UTC
Same problem here.

It also appears (from the noise of it) that the Hard Drive is powered off and on again at this moment. This doesn't appear when booting an other (commercial) OS.

FC15 on Acer Aspire 5920G.

Comment 10 Jamie Stevens 2011-08-17 17:38:05 UTC
I'm using Fedora 15 and I found that once I changed the SATA mode in my bios settings from IDE to AHCI the message went away.

Comment 11 Nic Young 2011-09-16 00:50:38 UTC
Fedora 15
2.6.40.4-5.fc15.i686
on a Dell D630

Switching my SATA BIOS settings to AHCI solved this problem for me.

Comment 12 Fedora End Of Life 2012-08-16 18:44:01 UTC
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.